Subject: Re: [PATCH] githubci: add a workflow for creating GitHub release notes

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Mon, 29 Nov 2021 13:49:20 +0100

On Fri, Nov 26 2021, Matthias Aßhauer wrote:

> On Fri, 26 Nov 2021, Johannes Schindelin wrote:
>
>> Hi,
>>
>
> [...]
>
>> One thing I had not thought of earlier: do we really want to do this in
>> every fork of git/git? I know for a fact that microsoft/git has a very
>> different workflow upon pushing a tag.
>>
>> So maybe we need something like this, too:
>>
>>   create-gh-release:
>> +    if: github.repository == 'git/git'
>>     name: Create a new release or update an existing release in the GitHub repository
>
> I think you're right. This would have unidesirable side effects if it
> ran in forks.

Rather than hardcode given repositories, which e.g. for testing the CI
itself can be bothersome, perhaps a better thing is to put this into the
existing ci-config? I.e. git/git.git could opt itself in to behavior
that would be off by default?

I don't know how much that matters in this case, but I don't see why
we'd hardcode repository paths in general since we've got the ci-config.